org.richfaces.renderkit

## Enum ExtendedDataTableRenderer.EncoderVariance

- java.lang.Object
- - java.lang.Enum<ExtendedDataTableRenderer.EncoderVariance>
  - - org.richfaces.renderkit.ExtendedDataTableRenderer.EncoderVariance

- All Implemented Interfaces:
    Serializable, Comparable<ExtendedDataTableRenderer.EncoderVariance>
  Enclosing class:
    ExtendedDataTableRenderer

      protected static enum ExtendedDataTableRenderer.EncoderVariance
      extends Enum<ExtendedDataTableRenderer.EncoderVariance>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `full`
    `partial`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `encodeEndUpdate(javax.faces.context.FacesContext context)`
    `abstract void` | `encodeStartUpdate(javax.faces.context.FacesContext context, String targetId)`
    `static ExtendedDataTableRenderer.EncoderVariance` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedDataTableRenderer.EncoderVariance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### full

          public static final ExtendedDataTableRenderer.EncoderVariance full

    - #### partial

          public static final ExtendedDataTableRenderer.EncoderVariance partial

  - ### Method Detail

    - #### values

          public static ExtendedDataTableRenderer.EncoderVariance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedDataTableRenderer.EncoderVariance c : ExtendedDataTableRenderer.EncoderVariance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedDataTableRenderer.EncoderVariance valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### encodeStartUpdate

          public abstract void encodeStartUpdate(javax.faces.context.FacesContext context,
                                                 String targetId)
                                          throws IOException

      Throws:
        `IOException`

    - #### encodeEndUpdate

          public abstract void encodeEndUpdate(javax.faces.context.FacesContext context)
                                        throws IOException

      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.